<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class towerwarspp.preset.Status (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class towerwarspp.preset.Status (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/preset/class-use/Status.html" target="_top">Frames</a></li>
<li><a href="Status.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class towerwarspp.preset.Status" class="title">Uses of Class<br>towerwarspp.preset.Status</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.board">towerwarspp.board</a></td>
<td class="colLast">
<div class="block">The board Package which implements the Logic of the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.player">towerwarspp.player</a></td>
<td class="colLast">
<div class="block">The player package which implements all possible player Types.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.preset">towerwarspp.preset</a></td>
<td class="colLast">
<div class="block">The preset package which implements all given presets.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.board">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a> in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> declared as <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a></code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#status">status</a></span></code>
<div class="block">The current board satus.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> that return <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a></code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#checkWin-towerwarspp.preset.Position-">checkWin</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;lastMove)</code>
<div class="block">Proves if the last move to the position lastMove was a winning one and returns the corresponding status.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a></code></td>
<td class="colLast"><span class="typeNameLabel">BViewer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/BViewer.html#getStatus--">getStatus</a></span>()</code>
<div class="block">Returns the current status of the observed board.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a></code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#getStatus--">getStatus</a></span>()</code>
<div class="block">Returns the status of the board.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a></code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#makeMove-towerwarspp.preset.Move-">makeMove</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move)</code>
<div class="block">Executes the specified move if this move is legal.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.player">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a> in <a href="../../../towerwarspp/player/package-summary.html">towerwarspp.player</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/player/package-summary.html">towerwarspp.player</a> with parameters of type <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">BasePlayer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/BasePlayer.html#confirm-towerwarspp.preset.Status-">confirm</a></span>(<a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;boardStatus)</code>
<div class="block">Method to validate the players boardStatus against the passed one.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">NetPlayer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/NetPlayer.html#confirm-towerwarspp.preset.Status-">confirm</a></span>(<a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;boardStatus)</code>
<div class="block">Calling confirm() method will invoke a <a href="../../../towerwarspp/preset/Player.html#confirm-towerwarspp.preset.Status-"><code>Player.confirm(Status)</code></a> call.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">BasePlayer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/BasePlayer.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-">update</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;opponentMove,
      <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;boardStatus)</code>
<div class="block">Update own board with opponentMove  and check if opponents board status is equal to own board status.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Adv2Player.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/Adv2Player.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-">update</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;opponentMove,
      <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;boardStatus)</code>
<div class="block">Calls <a href="../../../towerwarspp/player/BasePlayer.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-"><code>BasePlayer.update(Move, Status)</code></a> and then <a href="../../../towerwarspp/player/mcts/Mcts.html#feedEnemyMove-towerwarspp.preset.Move-"><code>Mcts.feedEnemyMove(Move)</code></a> to update the state of the search
 tree.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">NetPlayer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/NetPlayer.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-">update</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;opponentMove,
      <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;boardStatus)</code>
<div class="block">Calling makeMove() will invoke a <a href="../../../towerwarspp/preset/Player.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-"><code>Player.update(Move, Status)</code></a> call.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.preset">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a> in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> that return <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a></code></td>
<td class="colLast"><span class="typeNameLabel">Viewer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Viewer.html#getStatus--">getStatus</a></span>()</code>
<div class="block">Returns the current status of the observed board.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a></code></td>
<td class="colLast"><span class="typeNameLabel">Status.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Status.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">Status.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Status.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> with parameters of type <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Player.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Player.html#confirm-towerwarspp.preset.Status-">confirm</a></span>(<a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;boardStatus)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Player.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Player.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-">update</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;opponentMove,
      <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;boardStatus)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/preset/class-use/Status.html" target="_top">Frames</a></li>
<li><a href="Status.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
